class t1 extends Thread 
{
 int i;
 public t1(int i1)
 {i=i1;}
 
 public void run()
 { while(true) 
   {
	 try
	 {
	 i|=0x20;
	 System.out.printf("%x\n",i);
	 Thread.sleep(1000);
	 //i&=~(0x20);
	 i^=(0x20);
	 System.out.printf("%x\n",i);
	 Thread.sleep(1000);
     } catch(InterruptedException ex) {System.out.println("error...");}
   }
 }
}

public class test1 
{
public static void main(String arg[])
{t1 t=new t1(3);
t.start();
}
}